[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.Finished

Has the thread finished executing

## Declaration

Source position: classesh.inc line 1834

`public property TThread.Finished : Boolean read FFinished;`

## Description

Finished is True when TThread.Execue has finished executing, but the thread is still cleaning up (calling OnTerminate, etc).

## See also

TThread.Execue
TThread.OnTerminate |  | Event called when the thread terminates.